Subject: Re: [PATCH v2 1/4] rust: io: Add big-endian read and write functions

From: "Danilo Krummrich" <[email-masked]>
Date: Thu, 05 Feb 2026 23:46:15 +0100

On Thu Feb 5, 2026 at 11:31 PM CET, Gary Guo wrote:
> I proposed the wrapper type because majority of devices won't need BE support,
> so adding complexity to Mmio itself is not ideal. It is also generic, so it can
> work with any IO backends, so for example, you can have `BigEndian<Pio>` and
> `BigEndian<Mmio>` and you don't need to duplicate your endianness support for
> both backends.

That implies that we swap bytes manually? That would be a waste if the CPU and
device are big-endian.